Bug 1464078 - with AFR now making both nodes to return UUID for a file will result in georep consuming more resources
with AFR now making both nodes to return UUID for a file will result in geore...
Status: POST
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
3.10
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Karthik U S
3.3.0-devel-freeze-exception
: Reopened
Depends On: 1462790 1487647
Blocks: glusterfs-3.10.4 1315781 1462693
  Show dependency treegraph
 
Reported: 2017-06-22 07:50 EDT by Karthik U S
Modified: 2017-09-01 09:31 EDT (History)
11 users (show)

See Also:
Fixed In Version: glusterfs-3.10.4
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1462693
Environment:
Last Closed: 2017-08-23 06:18:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Karthik U S 2017-06-22 07:51:06 EDT
Description of problem
======================
Previously when a read is requested, AFR was returning only one uuid out of the two replica bricks, but this meant that when a rebalance was triggered only one brick participating and hence load balancing was missing.
This problem was fixed with BZ#1315781 - AFR returns the node uuid of the same node for every file in the replica

However this fix didn't consider other scenarios and consumers of this facility.
for eg, georep too was relying on this service from AFR, and now with this service, it means that georep will be served by both replica bricks and hence syncing of data can happen twice for the same data. Now instead of one brick being passive and other being active, both turn active and hence lead to unnecessary resource utilization(eg CPU)
Comment 2 Worker Ant 2017-06-22 07:54:43 EDT
REVIEW: https://review.gluster.org/17603 (cluster/afr: Returning single and list of node uuids from AFR) posted (#1) for review on release-3.10 by Karthik U S (ksubrahm@redhat.com)
Comment 3 Worker Ant 2017-07-01 11:55:35 EDT
COMMIT: https://review.gluster.org/17603 committed in release-3.10 by Raghavendra Talur (rtalur@redhat.com) 
------
commit bc4d14d3af603c10f61f7d5bf45284ab29f6e494
Author: karthik-us <ksubrahm@redhat.com>
Date:   Mon Jun 19 19:54:36 2017 +0530

    cluster/afr: Returning single and list of node uuids from AFR
    
    Problem:
    The change in afr to return list of node uuids was causing problems
    with geo-rep.
    
    Fix:
    This patch will allow to get the single node uuid as it was doing
    before with the key "GF_XATTR_NODE_UUID_KEY", and will also allow
    to get the list of node uuids by using a new key
    "GF_XATTR_LIST_NODE_UUIDS_KEY". This will solve the problem with
    geo-rep and any other feature which were depending on this.
    
    > Change-Id: I09885dac6dfca127be94b708470c8c2941356f9a
    > BUG: 1462790
    > Signed-off-by: karthik-us <ksubrahm@redhat.com>
    > Reviewed-on: https://review.gluster.org/17576
    > Smoke: Gluster Build System <jenkins@build.gluster.org>
    > Reviewed-by: Ravishankar N <ravishankar@redhat.com>
    > Reviewed-by: Kotresh HR <khiremat@redhat.com>
    > NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    > CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    > Reviewed-by: Jeff Darcy <jeff@pl.atyp.us>
    
    (cherry picked from commit 475ec9928ef96b63a0bfa859a9ae68709275033c)
    
    Change-Id: I5e741a48a426ee9a3cc69612051e0e9bcf33b500
    BUG: 1464078
    Signed-off-by: karthik-us <ksubrahm@redhat.com>
    Reviewed-on: https://review.gluster.org/17603
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
Comment 4 Worker Ant 2017-07-03 02:51:51 EDT
REVIEW: https://review.gluster.org/17667 (cluster/ec: Node uuid xattr support update for EC) posted (#1) for review on release-3.10 by Sunil Kumar Acharya (sheggodu@redhat.com)
Comment 5 Worker Ant 2017-07-03 03:04:07 EDT
REVIEW: https://review.gluster.org/17667 (cluster/ec: Node uuid xattr support update for EC) posted (#2) for review on release-3.10 by Sunil Kumar Acharya (sheggodu@redhat.com)
Comment 6 Worker Ant 2017-09-01 06:08:16 EDT
REVIEW: https://review.gluster.org/17667 (cluster/ec: Node uuid xattr support update for EC) posted (#3) for review on release-3.10 by Sunil Kumar Acharya (sheggodu@redhat.com)
Comment 7 Ashish Pandey 2017-09-01 07:44:00 EDT

Patch for EC was also sent using this bug id. That has not been merged . So moving it to post and as soon as patch https://review.gluster.org/17667  will be merged, will move it to closed.

Note You need to log in before you can comment on or make changes to this bug.